with GNATCOM.Errors;

package body MSHTML.IHTMLPainterEventInfo_Interface is

   procedure Initialize (This : in out IHTMLPainterEventInfo_Type) is
   begin
      Set_IID (This, IID_IHTMLPainterEventInfo);
   end Initialize;

   function Pointer (This : IHTMLPainterEventInfo_Type)
     return Pointer_To_IHTMLPainterEventInfo
   is
   begin
      return To_Pointer_To_IHTMLPainterEventInfo (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLPainterEventInfo_Type;
                     Pointer : in     Pointer_To_IHTMLPainterEventInfo)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure GetEventInfoFlags
     (This             : IHTMLPainterEventInfo_Type;
      plEventInfoFlags : GNATCOM.Types.Pointer_To_long)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetEventInfoFlags
         (Pointer (This),
          plEventInfoFlags));

   end GetEventInfoFlags;

   procedure GetEventTarget
     (This      : IHTMLPainterEventInfo_Type;
      ppElement : Pointer_To_Pointer_To_IHTMLElement)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetEventTarget
         (Pointer (This),
          ppElement));

   end GetEventTarget;

   procedure SetCursor
     (This    : IHTMLPainterEventInfo_Type;
      lPartID : Interfaces.C.long)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.SetCursor
         (Pointer (This),
          lPartID));

   end SetCursor;

   procedure StringFromPartID
     (This      : IHTMLPainterEventInfo_Type;
      lPartID   : Interfaces.C.long;
      pbstrPart : GNATCOM.Types.Pointer_To_BSTR)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.StringFromPartID
         (Pointer (This),
          lPartID,
          pbstrPart));

   end StringFromPartID;

end MSHTML.IHTMLPainterEventInfo_Interface;

